import { type Base, genBase } from "./_base";
import { genMaterialPackage, type MaterialPackage } from "./material-package";
import { genProcedureRoom, type ProcedureRoom } from "./procedure-room";

export interface ProcedureRoomOrder extends Base {
	encounter_id: number
	materialPackage_code?: string
	materialPackage: MaterialPackage
  items?: ProcedureRoom[]
}

export interface CreateDto {
  encounter_id: number
}

export function genProcedureRoomOrder(): ProcedureRoomOrder {
  return {
    ...genBase(),
    encounter_id: 0,
    materialPackage_code: '',
    materialPackage: genMaterialPackage(),
  }
}
